package org.processmining.logprojection.sorting;

import org.processmining.logprojection.LogView;

public class TraceInFileSorter implements TraceSorter {

	private LogView view;

	public TraceInFileSorter(LogView view) {
		this.view = view;
	}

	@Override
	public int compare(Integer o1, Integer o2) {
		return view.getFirstEventNumber(o1) - view.getFirstEventNumber(o2);
	}

	public String toString() {
		return "Sort trace as they were in the original file.";
	}

	@Override
	public String getDescription() {
		return toString();
	}

	public boolean equals(Object o) {
		if (o instanceof TraceInFileSorter) {
			return true;
		}
		return false;
	}

}
